# knotctl

This is a commandline tool for knotapi

https://gitlab.nic.cz/knot/knot-dns-rest

## Usage

```
usage: knotctl [-h] [--json | --no-json] {add,delete,list,config,update} ... 
  positional arguments: {add,delete,list,config,update}
  options: 
    -h, --help show this help message and exit 
    --json, --no-json
```
### Add
```
usage: knotctl add [-h] [-d [DATA ...]] [-n NAME] [-r RTYPE] -z ZONE 
  options: 
    -h, --help show this help message and exit
    -d [DATA ...], --data [DATA ...] Specify any number of key - value pairs: name=dns1.example.com. 
    -n NAME, --name NAME 
    -r RTYPE, --rtype RTYPE 
    -z ZONE, --zone ZONE
```
### Delete 
```
usage: knotctl delete [-h] [-d [DATA ...]] [-n NAME] [-r RTYPE] -z ZONE 
  options: 
    -h, --help show this help message and exit 
    -d [DATA ...], --data [DATA ...] Specify any number of key - value pairs: name=dns1.example.com. 
    -n NAME, --name NAME 
    -r RTYPE, --rtype RTYPE 
    -z ZONE, --zone ZONE
```
### List
```
usage: knotctl list [-h] [-d [DATA ...]] [-n NAME] [-r RTYPE] [-z ZONE] 
  options: 
    -h, --help show this help message and exit 
    -d [DATA ...], --data [DATA ...] Specify any number of key - value pairs: name=dns1.example.com. 
    -n NAME, --name NAME 
    -r RTYPE, --rtype RTYPE 
    -z ZONE, --zone ZONE
```
### Config
```
usage: knotctl config [-h] [-b BASEURL] [-p PASSWORD] [-u USERNAME]
  options: 
    -h, --help show this help message and exit 
    -b BASEURL, --baseurl BASEURL 
    -p PASSWORD, --password PASSWORD 
    -u USERNAME, --username USERNAME
```
### Update
```
usage: knotctl update [-h] -d [DATA ...] -n NAME -r RTYPE -z ZONE
  options: 
    -h, --help show this help message and exit 
    -d [DATA ...], --data [DATA ...] Specify any number of key - value pairs: name=dns1.example.com. 
    -n NAME, --name NAME 
    -r RTYPE, --rtype RTYPE 
    -z ZONE, --zone ZONE
```
